#!/bin/sh

foo=`pwd`

# Make sure all the necessary programs are built.
make all
cd tests && make testsuite
cd $foo

# Now run the tests.
cd tests
echo "Running tests 1-50..."
bash testsuite 1-50;    mv -v testsuite.log ../001-050.log
echo "Running tests 51-100..."
bash testsuite 51-100;  mv -v testsuite.log ../051-100.log
echo "Running tests 101-150..."
bash testsuite 101-150; mv -v testsuite.log ../101-150.log
echo "Running tests 151-end..."
bash testsuite 151-;    mv -v testsuite.log ../151-end.log
cd $foo

echo
echo "########"
echo "# DONE #"
echo "########"
